#12 doesn't install properly & doesn't work

closed-invalid
5
2008-03-24
2008-03-24
Anonymous
No

i'm using b2evo ver. 2.4.0 at http://namahatta.org/blogs. trying to install the openid plugin the databases are created ok, but the screen following the notification about DB creation goes blank.

returning to the previous screen (list of plugins) i can edit the plugin's settings and save them, but trying to activate it i get a blank screen again.

looking at the plugin settings in the DB table "plugins," i see that it's not activated, and that no "plugin code" is supplied (neither in the DB nor in the form for editing plugin settings).

trying to manually 'activate' openid leads to the plugin showing as active, and forms appear on the login page and the users' account pages, but they don't work: leading to blank screens again.

i'm not really familiar with the internal workings of b2evo, and while i'd really like to use the module, i don't have the time right now to get into the code to find out what goes wrong. is a pitty, since i really do like the openID concept...

i'm wondering if i'm the only one this happens to, i.e., if something's wrong with my b2evo setup, or if others have the same problem?

phani.

Discussion

  • daniel hahler

    daniel hahler - 2008-03-24

    Logged In: YES
    user_id=663176
    Originator: NO

    The blank page indicates some fatal PHP error, which only gets logged, but not displayed (according to the display_errors PHP setting).
    Please either check your error.log (e.g. from Apache) or set display_errors=1 in php.ini/.htaccess.

    What error does it display?

     
  • phani

    phani - 2008-03-24

    Logged In: YES
    user_id=2044696
    Originator: NO

    well, there are some errors, a lot of them, but nothing like memory limit (64 MB, in this case).

    the first one's this:

    "Warning: Unexpected character in input: ' in /home/phani/public_html/blogs/plugins/openid_plugin/php-openid/Auth/Yadis/ParanoidHTTPFetcher.php on line 182"

    this gets repeated about half a million times, then it ends with:

    "Parse error: syntax error, unexpected $end in /home/phani/public_html/blogs/plugins/openid_plugin/php-openid/Auth/Yadis/ParanoidHTTPFetcher.php on line 182"

    i'll look at the file. since my web server doesn't have any unzip facility (!), i had to download your plugin to my local windows machine, unzip, and upload via FTP to the server.

    do you, by any chance, have the module in tar.gz format? i have SSH access, and tar / gzip works fine, but for some reason there's no Unzip whatsoever. i've seen some recent security alert re. an Unzip package, perhaps that's the reason...

    thanks, phani.

     
  • phani

    phani - 2008-03-24

    Logged In: YES
    user_id=2044696
    Originator: NO

    yuppi! just got zip/unzip on the web server, the admin finally relented. i assume that this problem should be solved now. if not, i'll come back here...

    phani.

     
  • phani

    phani - 2008-03-24

    Logged In: YES
    user_id=2044696
    Originator: NO

    now it works great, of course. i can't declare this issue as solved because i posted it before creating an account here, as anonymous. nevertheless, solved it is.

    thanks again, phani.

     
  • daniel hahler

    daniel hahler - 2008-03-24

    Logged In: YES
    user_id=663176
    Originator: NO

    Thank you for reporting back. I'm closing it.

    Next time you could try also gunzip, which was probably already there.

     
  • daniel hahler

    daniel hahler - 2008-03-24
    • status: open --> closed-invalid
     

Log in to post a comment.